apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ../../demo23-cluster
namespace: aster-x
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "webcatalog.aster-x.demo23.gxfs.fr"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["webcatalog.aster-x.demo23.gxfs.fr"]
      - op: replace
        path: "/spec/tls/0/secretName"
        value: "ingress-webcatalog-tls"
    target:
      kind: Ingress
      name: webcatalog2
  - patch: |-
      - op: replace
        path: "/spec/template/spec/containers/0/env/0/value"
        value: "https://keycloak.demo23.gxfs.fr"
      - op: replace
        path: "/spec/template/spec/containers/0/env/1/value"
        value: "https://federated-catalogue-api.aster-x.demo23.gxfs.fr"
      - op: replace
        path: "/spec/template/spec/containers/0/env/2/value"
        value: "https://negociation-tool.aster-x.demo23.gxfs.fr"
    target:
      kind: Deployment
      name: webcatalog2